<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://ays-pro.com
 * @since      1.0.0
 *
 * @package    Faq_Builder_Ays
 * @subpackage Faq_Builder_Ays/admin/partials
 */
    $setting_actions = $this->settings_obj;
    $gen_options = ($setting_actions->ays_get_setting('options') === false) ? array() : json_decode( stripcslashes( $setting_actions->ays_get_setting('options') ), true);

    $action = (isset($_GET['action']))?$_GET['action']:"";

    $id = ( isset( $_GET["faq"] ) ) ? intval( $_GET["faq"] ) : null;

    $loader_image = '';

    $faq = array(
        "title" => __("Default title", $this->plugin_name),
        "description" => __("Default description", $this->plugin_name),
        "questions" => '',
        "answers" => '',
        "options" => '',
        "style" => ''
    );

    $options = array(
        'collapseStyle'           => 'none',
        // 'sendQuestionToAdmin' => 'off',
        'display_all'             => 'no',
        'show_question_numbering' => 'none',
        'with_editor'             => '',
        'create_date'             => current_time( 'mysql' )
    );

    $style = array(
        'style_theme'                   => 'default_arrow',
        'icon_direction'                => 'after',
        'bgColor'                       => '#f0f0f0',
        'bgColorQuest'                  => '#DFDDDD',
        'bgColorAnsw'                   => '#DFDDDD',
        'titleBgColor'                  => '#f9f9f9',
        'textColor'                     => '#000000',
        'questtextColor'                => '#000000',
        'answertextColor'               => '#000000',
        'questBorderRadius'             => '0',
        'faqBorderRadius'               => '0',
        'questSpaceBetween'             => '0',
        'ansHeight'                     => 'auto',
        'faqWidth'                      => '',
        'ays_faq_border_width'          => '0',
        'ays_faq_border_style'          => 'solid',
        'ays_faq_border_color'          => '#ffffff',
        'ays_faq_Icon'                  => '',
        'customClass'                   => '',
        'customCss'                     => '',
        'quest_font_size'               => '18',
        'ays_faq_show_title'            => 'on',
        'ays_faq_show_desc'             => 'on',
        'answers_left_right_padding'    => '11',
        'answers_top_bottom_padding'    => '11',
        'questions_left_right_padding'  => '11',
        'questions_top_bottom_padding'  => '11',
        // 'quest_alignment'               => 'left',
        'answer_font_size'              => '16',
        'question_height'               => 'auto',
        'hover_active_text_color'       => '#dfdddd',
        'hover_active_bg_color'         => '#000000',
        'questions_border_side'         => 'none',
        'questions_border_width'        => '0',
        'questions_border_style'        => 'solid',
        'questions_border_color'        => '#000000',
        'enable_questions_border'       => 'off',
        'title_font_size'               => '21',
        'title_transformation'          => 'none',
        'faqMobileWidth'                => '',
        'desc_font_size'               => '16',
    );
    switch($action){
        case "edit":
            $faq = $this->faqs_object->get_faq_by_id($id);
            $user_question = $this->ays_get_faq_user_question($id);
            $style = ( isset( $faq['style'] ) && ! empty( $faq['style'] ) ) ? $faq['style'] : array();
            $options = ( isset( $faq['options'] ) && ! empty( $faq['options'] ) ) ? $faq['options'] : array();
            $heading = __("Edit F.A.Q", $this->plugin_name);
            break;
        default:
            $heading = __("Add F.A.Q", $this->plugin_name);
            $user_question = $this->ays_get_faq_user_question($id);
            $style = ( isset($faq['style']) && ! empty( $faq['style'] ) ) ? $faq['style'] : array();
            $options = ( isset( $faq['options'] ) && ! empty( $faq['options'] ) ) ? $faq['options'] : array();
    }
    if ( isset($_POST["ays-submit"]) || isset($_POST["ays-submit-top"]) ) {
        $_POST["id"] = $id;
        $this->faqs_object->add_or_edit_faqs($_POST);
    }
    if(isset($_POST["ays-apply"]) || isset($_POST["ays-apply-top"])){
        $_POST["id"] = $id;
        $_POST["submit_type"] = 'apply';
        $this->faqs_object->add_or_edit_faqs($_POST);
    }   

    $faq_questions = ( isset( $faq['questions'] ) && $faq['questions'] != '' )? $faq['questions'] : '';
    if( $faq_questions != '' ){
        $faq_question_array = explode( '***', $faq_questions );
    }

    $faq_answers = ( isset( $faq['answers'] ) && $faq['answers'] != '' ) ? $faq['answers'] : '';
    if( $faq_answers != ''){
        $faq_answer_array = explode( '***', $faq_answers );
    }
    
    if(isset($_GET['ays_faq_tab'])){
        $ays_faq_tab = $_GET['ays_faq_tab'];
    } else{
        $ays_faq_tab = 'tab1';
    }

    $loader_image = "<span class='display_none'><img width='20' height='20' src=".AYS_FAQ_ADMIN_URL."/images/loaders/loading.gif></span>";

    $ays_faq_theme = isset($style['style_theme']) && $style['style_theme'] != '' ? sanitize_text_field($style['style_theme']) : "default_arrow";
    
    $ays_iconDir = isset($style['icon_direction']) && $style['icon_direction'] != '' ? sanitize_text_field($style['icon_direction']) : "after";
   
    $bgColor = isset($style['bgColor']) && $style['bgColor'] != '' ? esc_attr( stripslashes( $style['bgColor'] )) : "#f0f0f0";

    $bgColorQuest = isset($style['bgColorQuest']) && $style['bgColorQuest'] != '' ? esc_attr( stripslashes( $style['bgColorQuest'])) : "#DFDDDD";

    $bgColorAnsw = isset($style['bgColorAnsw']) && $style['bgColorAnsw'] != '' ? esc_attr( stripslashes( $style['bgColorAnsw'])) : "#DFDDDD";

    $titleBgColor = isset($style['titleBgColor']) && $style['titleBgColor'] != '' ? esc_attr( stripslashes( $style['titleBgColor'])) : "#f9f9f9";
    
    $textColor = isset($style['textColor']) && $style['textColor'] != '' ? esc_attr( stripslashes( $style['textColor'])) : "#000000";
    
    $questtextColor = isset($style['questtextColor']) && $style['questtextColor'] != '' ? esc_attr( stripslashes( $style['questtextColor'])) : "#000000";

    $answertextColor = isset($style['answertextColor']) && $style['answertextColor'] != '' ? esc_attr( stripslashes( $style['answertextColor'])) : "#000000";

    $questBorderRadius = isset($style['questBorderRadius']) && $style['questBorderRadius'] != '' ? absint($style['questBorderRadius']) : "0";

    $faqBorderRadius = isset($style['faqBorderRadius']) && $style['faqBorderRadius'] != '' ? absint($style['faqBorderRadius']) : "0";

    $questSpaceBetween = isset($style['questSpaceBetween']) && $style['questSpaceBetween'] != '' ? absint($style['questSpaceBetween']) : "0";

    $ansHeight = isset($style['ansHeight']) && $style['ansHeight'] != '' ? absint($style['ansHeight']) : "auto";
    
    $faqWidth = isset($style['faqWidth']) && $style['faqWidth'] != '' ? absint($style['faqWidth']) : "0";

    $ays_faq_border_width = (isset($style['ays_faq_border_width']) && $style['ays_faq_border_width'] != '') ? absint($style['ays_faq_border_width']) : '0';

    $ays_faq_border_style = (isset($style['ays_faq_border_style']) && $style['ays_faq_border_style'] != '') ? sanitize_text_field($style['ays_faq_border_style']) : 'solid';

    $ays_faq_border_color = (isset($style['ays_faq_border_color']) && $style['ays_faq_border_color'] != '') ? esc_attr(stripcslashes($style['ays_faq_border_color'])) : '#ffffff';

    $customClass = (isset($style['customClass']) && $style['customClass'] != '') ? stripslashes(sanitize_text_field($style['customClass'])) : '';

    $custom_css = (isset($style['customCss']) && $style['customCss'] != '') ? stripslashes ( esc_attr($style['customCss'])) : '';

    $ays_faq_quest_font_size = (isset($style['quest_font_size']) && $style['quest_font_size'] != '') ? absint($style['quest_font_size']) : '18';
    
    $ays_faq_title_check = (isset($style['ays_faq_show_title']) && $style['ays_faq_show_title'] != '') ? $style['ays_faq_show_title'] : 'on';
    $ays_faq_show_title = (isset($ays_faq_title_check) && $ays_faq_title_check == 'on') ? true : false;

    
    $ays_faq_desc_check = (isset($style['ays_faq_show_desc']) && $style['ays_faq_show_desc'] != '') ? $style['ays_faq_show_desc'] : 'on';
    $ays_faq_show_desc = (isset($ays_faq_desc_check) && $ays_faq_desc_check == 'on') ? true : false;

    $faq_answers_left_right_padding = (isset($style['answers_left_right_padding']) && $style['answers_left_right_padding'] != '') ? absint($style['answers_left_right_padding']) : '11';
    $faq_answers_top_bottom_padding = (isset($style['answers_top_bottom_padding']) && $style['answers_top_bottom_padding'] != '') ? absint($style['answers_top_bottom_padding']) : '11';

    $faq_questions_left_right_padding = (isset($style['questions_left_right_padding']) && $style['questions_left_right_padding'] != '') ? absint($style['questions_left_right_padding']) : '11';
    $faq_questions_top_bottom_padding = (isset($style['questions_top_bottom_padding']) && $style['questions_top_bottom_padding'] != '') ? absint($style['questions_top_bottom_padding']) : '11';

    // $ays_faq_quest_alignment = (isset($style['quest_alignment']) && $style['quest_alignment'] != '') ? sanitize_text_field($style['quest_alignment']) : 'left';

    $ays_faq_ans_font_size = (isset($style['answer_font_size']) && $style['answer_font_size'] != '') ? absint($style['answer_font_size']) : '16';
    
    $ays_faq_quest_height = (isset($style['question_height']) && $style['question_height'] != '') ? absint($style['question_height']) : 'auto';

    $faq_create_date = (isset($options['create_date']) && $options['create_date'] != '') ? $options['create_date'] : current_time( 'mysql' );

    $default_hover_bg_color = '';
    $default_hover_text_color = '';    
    switch ($ays_faq_theme) {
        case 'simple':
            $default_hover_bg_color = '#ffffff';
            $default_hover_text_color = '#039ae2';
            break;
        case 'plusminus':
            $default_hover_bg_color = '#ffffff';
            $default_hover_text_color = '#000000';
            break;
        case 'default_arrow':
            $default_hover_bg_color = '#DFDDDD';
            $default_hover_text_color = '#000000';
            break;
        default:
            break;
    }

    $ays_faq_hover_active_text_color = (isset($style['hover_active_text_color']) && $style['hover_active_text_color'] != '') ? esc_attr(stripcslashes($style['hover_active_text_color'])) : $default_hover_text_color;
    
    $ays_faq_hover_active_bg_color = (isset($style['hover_active_bg_color']) && $style['hover_active_bg_color'] != '') ? esc_attr(stripcslashes($style['hover_active_bg_color'])) : $default_hover_bg_color;

    $ays_faq_display_all = (isset($options['display_all']) && $options['display_all'] != '') ? sanitize_text_field($options['display_all']) : 'no';

    $collapseStyle = (isset($options['collapseStyle']) && $options['collapseStyle'] != '') ? sanitize_text_field($options['collapseStyle']) : 'none';

    //Question border options start

    //Border side
    $ays_faq_enable_questions_border_check = (isset($style['enable_questions_border']) && $style['enable_questions_border'] == 'on') ? 'on' : 'off';
    $ays_faq_enable_questions_border = (isset($ays_faq_enable_questions_border_check) && $ays_faq_enable_questions_border_check == 'on') ? true : false;
    
    //Border side
    $ays_faq_quest_border_side = (isset($style['questions_border_side']) && $style['questions_border_side'] != '') ? sanitize_text_field($style['questions_border_side']) : 'none';

    //Border width
    $ays_faq_quest_border_width = (isset($style['questions_border_width']) && $style['questions_border_width'] != '') ? absint($style['questions_border_width']) : '0';

    //Border style
    $ays_faq_quest_border_style = (isset($style['questions_border_style']) && $style['questions_border_style'] != '') ? sanitize_text_field($style['questions_border_style']) : 'solid';

    //Border color
    $ays_faq_quest_border_color = (isset($style['questions_border_color']) && $style['questions_border_color'] != '') ? esc_attr(stripcslashes($style['questions_border_color'])) : '#000000';
    
    //Question border options end
    
    $ays_faq_show_question_numbering = (isset($options['show_question_numbering']) && $options['show_question_numbering'] != '') ? sanitize_text_field($options['show_question_numbering']) : 'none';

    //Width Editor
    $with_editor = ( isset($options['with_editor']) && $options['with_editor'] != '' ) ? $options['with_editor'] : 'off';

    if( ! is_array( $with_editor ) ){
        $with_editor = explode( ',', $with_editor );
    }

    //Title font size
    $ays_faq_title_font_size = (isset($style['title_font_size']) && $style['title_font_size'] != '') ? absint( $style['title_font_size'] ) : 21;
    
    if($ays_faq_title_font_size == 0){
        $ays_faq_title_font_size = 21;
    }

    $title = ( isset( $faq['title'] ) && $faq['title'] != '') ? stripslashes( $faq['title'] ) : 'Default title';

    $description = ( isset( $faq["description"] ) && $faq["description"] != '') ? stripslashes( $faq["description"] ) : 'Default description';

    //Description font size
    $ays_faq_desc_font_size = (isset($style['desc_font_size']) && $style['desc_font_size'] != '') ? absint( $style['desc_font_size'] ) : 16;
    
    if($ays_faq_desc_font_size == 0){
        $ays_faq_desc_font_size = 16;
    }

    //Title transformation

    $ays_faq_title_transformation = (isset($style['title_transformation']) && $style['title_transformation'] != '') ? sanitize_text_field( $style['title_transformation'] ) : 'none';

    //Width for mobile devices
    $faqMobileWidth = isset($style['faqMobileWidth']) && $style['faqMobileWidth'] != '' ? absint($style['faqMobileWidth']) : "0";

    // WP Editor height    
    $faq_wp_editor_height = (isset($gen_options['faq_wp_editor_height']) && $gen_options['faq_wp_editor_height'] != '' && $gen_options['faq_wp_editor_height'] != 0) ? absint( sanitize_text_field($gen_options['faq_wp_editor_height']) ) : 100;
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
    <div class="ays-faq-heading-box">
        <div class="ays-faq-wordpress-user-manual-box">
            <a href="https://ays-pro.com/wordpress-faq-builder-plugin-user-manual" target="_blank"><?php echo __("View Documentation", $this->plugin_name); ?></a>
        </div>
    </div>
    <form method="post">
        <input type="hidden" name="ays_faq_tab" value="<?php echo $ays_faq_tab; ?>">
        <input type="hidden" name="ays_faq_create_date" value="<?php echo $faq_create_date; ?>">    

        <h1 class="wp-heading-inline">
            <?php echo $heading; ?>
            <input type="submit" name="ays-submit-top" class="ays-submit action-button button-primary" value="<?php echo __("Save and Close", $this->plugin_name);?>" >
            <input type="submit" name="ays-apply-top" id='ays_submit_apply_top' class="ays-submit action-button button" value="<?php echo __("Save", $this->plugin_name);?>" >
            <?php echo $loader_image; ?>
        </h1>
        <div> 
            <?php if($id !== null): ?>
                <div class="row">
                    <div class="col-sm-3">
                        <label> <?php echo __( "Shortcode text for editor", $this->plugin_name ); ?> </label>
                    </div>
                    <div class="col-sm-9">
                        <p style="font-size:14px; font-style:italic;">
                            <?php echo __("To insert the F.A.Q. into a page, post or text widget, copy shortcode", $this->plugin_name); ?>
                            <strong class="ays-faq-shortcode-box" title="<?php echo __('Click for copy.',$this->plugin_name);?>" onClick="selectElementContents(this)" style="font-size:16px; font-style:normal;" data-toggle="tooltip"><?php echo "[ays_faq id='".$id."']"; ?></strong>
                            <?php echo " " . __( "and paste it at the desired place in the editor.", $this->plugin_name); ?>
                        </p>
                    </div>
                </div>
            <?php endif;?>
        </div>
        <div class="nav-tab-wrapper">
            <a href="#tab1" data-tab="tab1" class="nav-tab <?php echo ($ays_faq_tab == 'tab1') ? 'nav-tab-active' : ''; ?>"><?php echo __("General", $this->plugin_name); ?></a>
            <a href="#tab2" data-tab="tab2" class="nav-tab <?php echo ($ays_faq_tab == 'tab2') ? 'nav-tab-active' : ''; ?>"><?php echo __("Styles", $this->plugin_name); ?></a>
            <a href="#tab3" data-tab="tab3" class="nav-tab <?php echo ($ays_faq_tab == 'tab3') ? 'nav-tab-active' : ''; ?>"><?php echo __("Settings", $this->plugin_name); ?></a>
        </div>
        <div id="tab1" class="ays-faq-tab-content <?php echo ($ays_faq_tab == 'tab1') ? 'ays-faq-tab-content-active' : ''; ?>">
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for='ays-faq-title'><?php echo __('Title', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("In this field the name of F.A.Q is filled in", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label> 
                    </div>
                    <div class="col-sm-8">
                        <input type="text" class="ays-text-input form-control" id='ays-faq-title' name='ays_faq_title' value="<?php echo esc_attr( $title );?>"/>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for='ays-faq-desc'><?php echo __('Description', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("In this field the description of F.A.Q is filled in", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8">
                        <?php
                            $content = $description;
                            $editor_id = 'ays_faq_description';
                            $settings = array('editor_height'=> $faq_wp_editor_height);
                            wp_editor( $content, $editor_id, $settings );
                        ?>
                    </div>
                </div>
            </div>
            <hr>
            <div class="ays_modal_element">
                <label class='ays_faq_label add-faq-question' for='ays-add-question1'>
                    <a id="ays-add-question1" class="add-question btn btn-secondary btn-sm" title="<?php echo __("Add question", $this->plugin_name); ?>">
                        <i class="fa fa-plus fa-lg"></i>
                    </a>
                    <?php echo __("Add question", $this->plugin_name); ?>
                </label>
            </div>
            <div class="ays-main ui-sortable" id="main">
                <?php
                if(isset( $faq_question_array ) && is_array( $faq_question_array ) ):
                    foreach($faq_question_array as $key => $question){
                        ?>
                        <div class="ays-border" id="question_block_<?php echo $key; ?>">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col-sm-1">
                                        <a class="ays-link ays-move" title="Move question">
                                            <i class="fa fa-arrows fa-2x ui-sortable-handle ays-move-questions"></i>
                                        </a>
                                    </div>
                                    <div class="col-sm-9"  data-toggle="collapse" href="#collapse_<?php echo $key; ?>">
                                            <label class='ays_faq_label ays-for-change'>
                                                <?php
                                                    if($question == ""){
                                                        echo __("No question", $this->plugin_name);
                                                    }else{
                                                        echo stripslashes(htmlentities($question)) ;
                                                    }
                                                ?>
                                            </label>
                                        </div>
                                    <div class="col-sm-1 ays-forcollaps">
                                        <a class="ays-link collapsed" data-toggle="collapse" href="#collapse_<?php echo $key; ?>" title="<?php echo __("Collapse question", $this->plugin_name); ?>"></a>
                                    </div>
                                    <div class="col-sm-1">
                                        <a class="ays-link ays-delete-question" href="#" title="<?php echo __("Delete question", $this->plugin_name); ?>">
                                            <i class="fa fa-trash fa-2x" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div id="collapse_<?php echo $key; ?>" class="ays-block collapse">
                                <div class="card-body">
                                        <div class="ays_modal_element form-group row">
                                            <div class="col-sm-2">
                                                <label class='ays_faq_label' for='ays-faq-quest-<?php echo $key; ?>'><?php echo __('Question', $this->plugin_name); ?></label>
                                            </div>
                                            <div class="col-sm-10">
                                                <input type="text" class="ays-text-input form-control" id='ays-faq-quest-<?php echo $key; ?>' name='ays_faq_question[]' value="<?php echo stripcslashes(htmlentities($question)); ?>"/>
                                            </div>
                                        </div>
                                        <div class="ays_modal_element form-group row ays_faq_ans_textarea_div">
                                            <div class="col-sm-2">
                                                <label class='ays_faq_label' for='ays-faq-answer-<?php echo $key; ?>'><?php echo __('Answer', $this->plugin_name); ?></label>
                                            </div>
                                            <div class="col-sm-10 ays-faq-answer-textarea">
                                                <div class="ays-faq-classic-textarea">
                                                    <textarea class="form-control" name='ays_faq_answer[]' id='ays-faq-answer-<?php echo $key; ?>'><?php echo stripcslashes(htmlentities($faq_answer_array[$key])); ?></textarea>
                                                </div>
                                                <div class="ays-faq-question-preview-box <?php echo (isset($with_editor[$key]) && $with_editor[$key] == 'on') ? '' : 'display_none' ; ?> "><?php echo (isset($faq_answer_array[$key]) && $faq_answer_array[$key] != '') ? stripcslashes(htmlentities($this->ays_autoembed($faq_answer_array[$key]))) : ''; ?></div>
                                                <div class="ays_modal_element ays-faq-wp-editor-modal">
                                                    <a type="button" class="button button-primary btn-block" href="#" data-count='<?php echo $key; ?>'>Open WP Editor </a>
                                                    <input type="hidden" class="ays-faq-open-question-editor-flag" name="ays_faq_question_open_editor[<?php echo $key; ?>]" value="<?php echo isset($with_editor[$key]) ? $with_editor[$key] : 'off' ; ?>">
                                                </div>
                                            </div>
                                        </div>
                                </div>
                            </div>
                    </div>
                <?php
                    }
                endif;
                ?> 
                    
                 <?php
                    if( !empty($faq_question_array) ){
                        $user_qustions_key = count($faq_question_array);
                    }
                    foreach($user_question as $key => $question){
                        ?>
                        <div class="ays-border" id="question_block_<?php echo $user_qustions_key + $key; ?>">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col-sm-1">
                                        <a class="ays-link ays-move" title="Move question">
                                            <i class="fa fa-arrows fa-2x ui-sortable-handle ays-move-questions"></i>
                                        </a>
                                    </div>
                                    <div class="col-sm-9"  data-toggle="collapse" href="#collapse_<?php echo $user_qustions_key + $key; ?>">
                                            <label class='ays_faq_label ays-for-change'>
                                                <?php
                                                    if($question == ""){
                                                        echo __("No question", $this->plugin_name);
                                                    }else{
                                                        echo stripslashes(htmlentities($question)) ;
                                                    }
                                                ?>
                                            </label>
                                        </div>
                                    <div class="col-sm-1 ays-forcollaps">
                                        <a class="ays-link collapsed" data-toggle="collapse" href="#collapse_<?php echo $user_qustions_key + $key; ?>" title="<?php echo __("Collapse question", $this->plugin_name); ?>"></a>
                                    </div>
                                    <div class="col-sm-1">
                                        <a class="ays-link ays-add-user-question" href="javascript: void(0)" title="<?php echo __("Add user question", $this->plugin_name); ?>">
                                            <i class="fas fa-plus" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div id="collapse_<?php echo $user_qustions_key + $key; ?>" class="ays-block collapse">
                            <div class="card-body">
                                    <div class="ays_modal_element form-group row">
                                        <div class="col-sm-2">
                                            <label class='ays_faq_label' for='ays-faq-quest-<?php echo $user_qustions_key + $key; ?>'><?php echo __('Question', $this->plugin_name); ?></label>
                                        </div>
                                        <div class="col-sm-10">
                                            <input type="text" class="ays-text-input form-control" id='ays-faq-quest-<?php echo $user_qustions_key + $key; ?>' name='ays_faq_user_question[]' value="<?php echo stripcslashes(htmlentities($question)); ?>"/>
                                        </div>
                                    </div>
                                    <div class="ays_modal_element form-group row ays_faq_ans_textarea_div">
                                        <div class="col-sm-2">
                                            <label class='ays_faq_label' for='ays-faq-answer-<?php echo $user_qustions_key + $key; ?>'><?php echo __('Answer', $this->plugin_name); ?></label>
                                        </div>
                                        <div class="col-sm-10 ays-faq-answer-textarea">
                                            <div class="ays-faq-classic-textarea">
                                                <textarea class="form-control" name='ays_faq_user_answer[]' id='ays-faq-answer-<?php echo $user_qustions_key + $key; ?>'></textarea>
                                            </div>
                                            <div class="ays-faq-question-preview-box display_none"></div>
                                            <div class="ays_modal_element ays-faq-wp-editor-modal">
                                                <a type="button" class="button button-primary" href="#" data-count='<?php echo $user_qustions_key + $key; ?>'>Open WP Editor </a>
                                                <input type="hidden" class="ays-faq-open-question-editor-flag" name="ays_faq_question_open_editor[<?php echo $user_qustions_key + $key; ?>]" value="<?php echo $with_editor[$user_qustions_key + $key]; ?>">
                                            </div>
                                        </div>
                                    </div>
                            </div>
                            </div>
                            <input type="hidden" class="user_quest" name="user_quest" value="true">
                    </div>
                <?php
                    }
                ?> 
            </div>
            <div class="ays_modal_element">
                <label class='ays_faq_label add-faq-question' for='ays-add-question2' style="margin-bottom: 30px;">
                    <a id="ays-add-question2" class="add-question btn btn-secondary btn-sm" title="<?php echo __("Add question", $this->plugin_name); ?>">
                        <i class="fa fa-plus fa-lg"></i>
                    </a>
                    <?php echo __("Add question", $this->plugin_name); ?>
                </label>
            </div>
        </div>
        <div id="tab2" class="ays-faq-tab-content <?php echo ($ays_faq_tab == 'tab2') ? 'ays-faq-tab-content-active' : ''; ?>">
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-2">
                        <label class='ays_faq_label' for='ays-faq-style'><?php echo __('Theme', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Select the theme of F.A.Q", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-10">
                        <div class="for_themes">
                            <div class="ays_theme">
                                <label class="class='ays_faq_label'" for='default_arrow'>
                                    <span>Arrows</span>
                                    <input id='default_arrow' type="radio" name="ays_faq_theme" value="default_arrow" <?php echo ($ays_faq_theme == 'default_arrow') ? 'checked' : ''; ?>>
                                    <img src="<?php echo AYS_FAQ_ADMIN_URL . "/images/theme1.PNG"?>">
                                </label>
                            </div>
                            <div class="ays_theme">
                                <label class='ays_faq_label' for='plusminus'>
                                    <span>Plus</span>
                                    <input id='plusminus' type="radio" name="ays_faq_theme" value="plusminus" <?php echo ($ays_faq_theme == 'plusminus') ? 'checked' : ''; ?>>
                                    <img src="<?php echo AYS_FAQ_ADMIN_URL . "/images/theme2.PNG"?>">
                                </label>
                            </div>
                            <div class="ays_theme">
                                <label class='ays_faq_label' for='simple'>
                                    <span>Simple</span>
                                    <input id='simple' type="radio" name="ays_faq_theme" value="simple" <?php echo ($ays_faq_theme == 'simple') ? 'checked' : ''; ?>>
                                    <img src="<?php echo AYS_FAQ_ADMIN_URL . "/images/theme3.PNG"?>">
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="faqWidth"><?php echo __('Width (px)', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Set the width in px to match your screen size.", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-7 ays_divider_left">
                        <div class="row">
                            <div class="col-sm-4">
                                <label class='ays_faq_label' for="faqWidth"><?php echo __('On PC (px)', $this->plugin_name); ?>
                                    <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Define the screen size for PC devices.", $this->plugin_name ); ?>">
                                    <i class="fas fa-info-circle"></i>
                                    </a>
                                </label>
                            </div>
                            <div class="col-sm-8 ays_divider_left">
                                <div class="bgColor">
                                    <input type="number" size="100" id="faqWidth" name="faqWidth" class="ays-text-input" placeholder="100%" value="<?php echo $faqWidth;?>">
                                </div>
                            </div>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-sm-4">
                                <label class='ays_faq_label' for="ays_faq_mobile_width"><?php echo __('On mobile (px)', $this->plugin_name); ?>
                                    <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Define the screen size for mobile devices. This feature works for screens with less than 768px.", $this->plugin_name ); ?>">
                                        <i class="fas fa-info-circle"></i>
                                    </a>
                                </label>
                            </div>
                            <div class="col-sm-8 ays_divider_left">
                                <div class="bgColor">
                                    <input type="number" size="100" id="ays_faq_mobile_width" name="ays_faq_mobile_width" class="ays-text-input" placeholder="100%" value="<?php echo $faqMobileWidth;?>">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-4">
                        <label class='ays_faq_label' for='ays-faq-border-width'><?php echo __('Border width', $this->plugin_name); ?>
                        <a class="ays_help" data-toggle="tooltip" data-placement="top"
                                    title="<?php echo __("The width of the border", $this->plugin_name); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                        </label>
                </div>
                <div class="col-sm-8 ays_divider_left">
                    <input type="number" min="0"
                        class="ays-text-input ays-text-input-short"
                        id='ays-faq-border-width' name='ays_faq_border_width'
                        value="<?php echo $ays_faq_border_width ?>"/>
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-4">
                        <label class='ays_faq_label' for='ays_faq_border_style'><?php echo __('Border style', $this->plugin_name); ?>
                        <a class="ays_help" data-toggle="tooltip" data-placement="top"
                                    title="<?php echo __("The style of F.A.Q container border", $this->plugin_name); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                        </label>
                </div>
                <div class="col-sm-8 ays_divider_left">
                    <select id="ays_faq_border_style" name="ays_faq_border_style" class="ays-text-input">
                        <option <?php echo ($ays_faq_border_style == 'solid') ? 'selected' : ''; ?> value="solid">Solid</option>
                        <option <?php echo ($ays_faq_border_style == 'dashed') ? 'selected' : ''; ?> value="dashed">Dashed</option>
                        <option <?php echo ($ays_faq_border_style == 'dotted') ? 'selected' : ''; ?> value="dotted">Dotted</option>
                        <option <?php echo ($ays_faq_border_style == 'double') ? 'selected' : ''; ?> value="double">Double</option>
                        <option <?php echo ($ays_faq_border_style == 'groove') ? 'selected' : ''; ?> value="groove">Groove</option>
                        <option <?php echo ($ays_faq_border_style == 'ridge') ? 'selected' : ''; ?> value="ridge">Ridge</option>
                        <option <?php echo ($ays_faq_border_style == 'inset') ? 'selected' : ''; ?> value="inset">Inset</option>
                        <option <?php echo ($ays_faq_border_style == 'outset') ? 'selected' : ''; ?> value="outset">Outset</option>
                        <option <?php echo ($ays_faq_border_style == 'none') ? 'selected' : ''; ?> value="none">None</option>
                    </select>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="borderColor"><?php echo __('Border color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Border color of the F.A.Q", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="borderColor">
                            <input type="text" id="borderColor" name="bordercolor" data-alpha="true" value="<?php echo $ays_faq_border_color;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="faqBorderRadius"><?php echo __('Container border radius (px)', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q container border radius", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" class="ays-text-input" id="faqBorderRadius" name="faqBorderRadius" value="<?php echo $faqBorderRadius;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="bgColor"><?php echo __('Background color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Background color of the F.A.Q", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="bgColor" name="bgcolor" data-alpha="true" value="<?php echo $bgColor;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="bgColorQuest"><?php echo __('Question background color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q question background color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="bgColorQuest" name="bgcolorquest" data-alpha="true" value="<?php echo $bgColorQuest;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="bgColorAnsw"><?php echo __('Answer background color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q answer background color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="bgColorAnsw" name="bgcoloransw" data-alpha="true" value="<?php echo $bgColorAnsw;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="titleBgColor"><?php echo __('F.A.Q title background color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q title background color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="titleBgColor" name="titleBgColor" data-alpha="true" value="<?php echo $titleBgColor;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="textColor"><?php echo __('Text color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q text color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="textColor" name="textcolor" data-alpha="true" value="<?php echo $textColor;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ays_faq_question_icon_font_size"><?php echo __('Question font size (px)', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Define the font size of the question.", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" id="ays_faq_question_icon_font_size" class="ays-text-input" name="ays_faq_question_icon_font_size" value="<?php echo $ays_faq_quest_font_size; ?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <!-- answer font size start -->
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ays_faq_answer_font_size"><?php echo __('Answer font size (px)', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("The font size of the answers in pixels in the F.A.Q. It accepts only numeric values.", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" id="ays_faq_answer_font_size" class="ays-text-input" name="ays_faq_answer_font_size" value="<?php echo $ays_faq_ans_font_size; ?>">
                        </div>
                    </div>
                </div>
            </div>
            <!-- answer font size end -->
            <hr>
            <!-- Description font size start -->
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ays_faq_desc_font_size"><?php echo __('Description font size (px)', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("The font size of the description in pixels in the F.A.Q. It accepts only numeric values.", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" id="ays_faq_desc_font_size" class="ays-text-input" name="ays_faq_desc_font_size" value="<?php echo $ays_faq_desc_font_size; ?>">
                        </div>
                    </div>
                </div>
            </div>
            <!-- Description font size end -->
            <hr>
            <!-- Title font size start -->
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ays_faq_title_font_size"><?php echo __('Title font size (px)', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("The font size of the titles in pixels in the F.A.Q. It accepts only numeric values.", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" id="ays_faq_title_font_size" class="ays-text-input" name="ays_faq_title_font_size" value="<?php echo $ays_faq_title_font_size; ?>">
                        </div>
                    </div>
                </div>
            </div>
            <!-- Title font size end -->
            <hr>
            <!-- Title transformation start-->
             <div class="form-group row">
                <div class="col-sm-4">
                        <label class='ays_faq_label' for='ays_faq_title_transformation'><?php echo __(' Title transformation', $this->plugin_name); ?>
                        <a class="ays_help" data-toggle="tooltip" data-html="true" data-placement="top" title="<?php
                                            echo __("Specify how to capitalize a title text of your F.A.Q.", $this->plugin_name) .
                                                "<ul style='list-style-type: circle;padding-left: 20px;'>".
                                                    "<li>". __('Uppercase – Transforms all characters to uppercase',$this->plugin_name) ."</li>".
                                                    "<li>". __('Lowercase – ransforms all characters to lowercase',$this->plugin_name) ."</li>".
                                                    "<li>". __('Capitalize – Transforms the first character of each word to uppercase',$this->plugin_name) ."</li>".
                                                "</ul>";
                                            ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                        </label>
                </div>
                <div class="col-sm-8 ays_divider_left">
                    <select id="ays_faq_title_transformation" name="ays_faq_title_transformation" style="width: 25%; height: 40px;">
                        <option <?php echo ($ays_faq_title_transformation == 'uppercase') ? 'selected' : ''; ?> value="uppercase">Uppercase</option>
                        <option <?php echo ($ays_faq_title_transformation == 'lowercase') ? 'selected' : ''; ?> value="lowercase">Lowercase</option>
                        <option <?php echo ($ays_faq_title_transformation == 'capitalize') ? 'selected' : ''; ?> value="capitalize">Capitalize</option>
                        <option <?php echo ($ays_faq_title_transformation == 'none') ? 'selected' : ''; ?> value="none">None</option>
                        
                    </select>
                </div>
            </div>
            <!-- Title transformation end-->
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="questtextColor"><?php echo __('Question text color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q question text color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="questtextColor" name="questtextColor" data-alpha="true" value="<?php echo $questtextColor;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="answertextColor"><?php echo __('Answer text color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q answer text color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="answertextColor" name="answertextColor" data-alpha="true" value="<?php echo $answertextColor;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="questBorderRadius"><?php echo __('Question border radius (px)', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q question border radius", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" id="questBorderRadius" name="questBorderRadius" value="<?php echo $questBorderRadius;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div><!-- Questions border start -->
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label for="ays_faq_questions_border" class="ays_enable_question_style">
                            <?php echo __('Question border',$this->plugin_name)?>
                            <a class="ays_help" data-toggle="tooltip" title="<?php echo __('Allow question border',$this->plugin_name); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <input type="checkbox" class="ays_toggle ays_toggle_slide" id="ays_faq_questions_border" name="ays_faq_questions_border" value="on" <?php echo $ays_faq_enable_questions_border ? 'checked' : ''; ?>/>
                        <label for="ays_faq_questions_border" class="ays_switch_toggle">Toggle</label>
                        <div class="col-sm-12 ays_toggle_target ays_divider_top row" style="margin-top: 10px; padding-top: 10px;<?php echo $ays_faq_enable_questions_border ? '' : 'display:none'; ?>">
                            <div class="col-sm-4">
                                <label for='ays-faq-border-side'>
                                    <?php echo __('Border side', $this->plugin_name); ?>
                                    <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Choose your preferred style for the border of the questions' boxes.", $this->plugin_name); ?>">
                                        <i class="fas fa-info-circle"></i>
                                    </a>
                                </label>
                            </div>
                            <div class="col-sm-8">
                                <select name="ays_faq_border_side" id="ays_faq_border_side" class="ays-text-input" style="width: 43%;">
                                    <option value="all_sides" <?php echo $ays_faq_quest_border_side== 'all_sides' ? 'selected' : '' ?>><?php echo __("All sides", $this->plugin_name); ?></option>
                                    <option value="none" <?php echo $ays_faq_quest_border_side== 'none' ? 'selected' : '' ?>><?php echo __("None", $this->plugin_name); ?></option>
                                    <option value="top" <?php echo $ays_faq_quest_border_side== 'top' ? 'selected' : '' ?>><?php echo __("Top", $this->plugin_name); ?></option>
                                    <option value="bottom" <?php echo $ays_faq_quest_border_side== 'bottom' ? 'selected' : '' ?>><?php echo __("Bottom", $this->plugin_name); ?></option>
                                    <option value="left" <?php echo $ays_faq_quest_border_side== 'left' ? 'selected' : '' ?>><?php echo __("Left", $this->plugin_name); ?></option>
                                    <option value="right" <?php echo $ays_faq_quest_border_side== 'right' ? 'selected' : '' ?>><?php echo __("Right", $this->plugin_name); ?></option>
                                </select>
                            </div>
                        </div>
                        <!-- Questions border side -->
                        <div class="col-sm-12 ays_toggle_target ays_divider_top row" style="margin-top: 10px; padding-top: 10px;<?php echo $ays_faq_enable_questions_border ? '' : 'display:none'; ?>">
                            <div class="col-sm-4">
                                <label for="ays_faq_questions_border_width">
                                    <?php echo __('Border width (px)',$this->plugin_name)?> 
                                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __('The width of questions border',$this->plugin_name)?>">
                                        <i class="fas fa-info-circle"></i>
                                    </a>
                                </label>
                            </div>
                            <div class="col-sm-8">
                                <input type="number" class="ays-text-input ays_enable_answer_field" id='ays_faq_questions_border_width' name='ays_faq_questions_border_width' value="<?php echo $ays_faq_quest_border_width; ?>" min="0"/>
                            </div>
                        </div>
                        <!-- Questions border width  -->
                        <div class="col-sm-12 ays_toggle_target ays_divider_top row" style="margin-top: 10px; padding-top: 10px;<?php echo $ays_faq_enable_questions_border ? '' : 'display:none'; ?>">
                            <div class="col-sm-4">
                                <label for="ays_faq_questions_border_style">
                                    <?php echo __('Border style',$this->plugin_name)?>
                                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __('The style of questions border',$this->plugin_name)?>">
                                        <i class="fas fa-info-circle"></i>
                                    </a>
                                </label>
                            </div>
                            <div class="col-sm-8">
                                <select id="ays_faq_questions_border_style" name="ays_faq_questions_border_style" class="ays-text-input ays_enable_answer_field" style="width: 43%;">
                                    <option value="solid" <?php echo $ays_faq_quest_border_style == 'solid' ? 'selected' : '' ?>>  <?php echo __("Solid", $this->plugin_name); ?> </option>
                                    <option value="dashed" <?php echo $ays_faq_quest_border_style == 'dashed' ? 'selected' : '' ?>> <?php echo __("Dashed", $this->plugin_name);?> </option>
                                    <option value="dotted" <?php echo $ays_faq_quest_border_style == 'dotted' ? 'selected' : '' ?>> <?php echo __("Dotted", $this->plugin_name);?> </option>
                                    <option value="double" <?php echo $ays_faq_quest_border_style == 'double' ? 'selected' : '' ?>> <?php echo __("Double", $this->plugin_name);?> </option>
                                    <option value="groove" <?php echo $ays_faq_quest_border_style == 'groove' ? 'selected' : '' ?>> <?php echo __("Groove", $this->plugin_name);?> </option>
                                    <option value="ridge" <?php echo $ays_faq_quest_border_style == 'ridge' ? 'selected' : '' ?>>  <?php echo __("Ridge", $this->plugin_name); ?> </option>
                                    <option value="inset" <?php echo $ays_faq_quest_border_style == 'inset' ? 'selected' : '' ?>>  <?php echo __("Inset", $this->plugin_name); ?> </option>
                                    <option value="outset" <?php echo $ays_faq_quest_border_style == 'outset' ? 'selected' : '' ?>> <?php echo __("Outset", $this->plugin_name);?> </option>
                                    <option value="none" <?php echo $ays_faq_quest_border_style == 'none' ? 'selected' : '' ?>>   <?php echo __("None", $this->plugin_name);  ?> </option>
                                </select> 
                            </div> 
                        </div>
                        <!-- Questions border style -->
                        <div class="col-sm-12 ays_toggle_target ays_divider_top row" style="margin-top: 10px; padding-top: 10px;<?php echo $ays_faq_enable_questions_border ? '' : 'display:none'; ?>">
                            <div class="col-sm-4">
                                <label for="ays_questions_border_color">
                                    <?php echo __('Border color',$this->plugin_name)?>
                                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __('The color of the questions border',$this->plugin_name)?>">
                                        <i class="fas fa-info-circle"></i>
                                    </a>
                                </label>
                            </div>
                            <div class="col-sm-8">
                                <input id="ays_questions_border_color" class="ays-text-input wp-color-picker ays_enable_answer_field" type="text" data-alpha="true" name='ays_questions_border_color' value="<?php echo $ays_faq_quest_border_color; ?>" data-default-color="#000000">
                            </div>
                        </div>
                        <!-- Questions border color -->
                    </div>
                </div> 
            </div><!-- Question border end -->
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="questSpaceBetween"><?php echo __('Space between questions (px)', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q space between questions", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" class="ays-text-input" id="questSpaceBetween" name="questSpaceBetween" value="<?php echo $questSpaceBetween;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <!-- question height start -->
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ays_faq_quest_height"><?php echo __('Question height (px)', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Set F.A.Q question height in pixels. It accepts only number values.", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" class="ays-text-input" id="ays_faq_quest_height" name="ays_faq_quest_height" placeholder="auto" value="<?php echo $ays_faq_quest_height;?>">
                        </div>
                    </div>
                </div>
            </div>
            <!-- question height end -->
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ansHeight"><?php echo __('Answer height (px)', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q Answer height", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" class="ays-text-input" id="ansHeight" name="ansHeight" placeholder="auto" value="<?php echo $ansHeight;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ays_faq_answers_padding">
                            <?php echo __('Answer padding',$this->plugin_name)?> (px)
                            <a class="ays_help" data-toggle="tooltip" title="<?php echo __('Padding of answers.',$this->plugin_name)?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left row ays_faq_align_all">
                        <div class="col-sm-5" style="display: flex;flex-direction: column;">
                            <input type="number" class="ays-text-input" id='ays_faq_answers_left_right_padding' name='ays_faq_answers_left_right_padding' value="<?php echo $faq_answers_left_right_padding; ?>" style="width: 100px;" />
                            <span class="ays_faq_small_hint_text ays_faq_label"><?php echo __('Left / Right',$this->plugin_name)?></span>
                        </div>
                        <div class="col-sm-5 ays_divider_left ays-faq-answers-top-bottom-padding-box" style="display: flex;flex-direction: column;">
                            <input type="number" class="ays-text-input" id='ays_faq_answers_top_bottom_padding' name='ays_faq_answers_top_bottom_padding' value="<?php echo $faq_answers_top_bottom_padding; ?>" style="width: 100px;" />
                            <span class="ays_faq_small_hint_text ays_faq_label"><?php echo __('Top / Bottom',$this->plugin_name)?></span>
                        </div>
                    </div>
                </div> <!-- Answer padding -->
            </div>
            <hr>
            <div>
                <div class="form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ays_faq_questions_padding">
                            <?php echo __('Question padding',$this->plugin_name)?> (px)
                            <a class="ays_help" data-toggle="tooltip" title="<?php echo __('Padding of questions.',$this->plugin_name)?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left row ays_faq_align_all">
                        <div class="col-sm-5" style="display: flex;flex-direction: column;">
                            <input type="number" class="ays-text-input" id='ays_questions_left_right_padding' name='ays_faq_questions_left_right_padding' value="<?php echo $faq_questions_left_right_padding; ?>" style="width: 100px;" />
                            <span class="ays_faq_small_hint_text ays_faq_label"><?php echo __('Left / Right',$this->plugin_name)?></span>
                        </div>
                        <div class="col-sm-5 ays_divider_left ays-faq-questions-top-bottom-padding-box" style="display: flex;flex-direction: column;">
                            <input type="number" class="ays-text-input" id='ays_faq_questions_top_bottom_padding' name='ays_faq_questions_top_bottom_padding' value="<?php echo $faq_questions_top_bottom_padding; ?>" style="width: 100px;" />
                            <span class="ays_faq_small_hint_text ays_faq_label"><?php echo __('Top / Bottom',$this->plugin_name)?></span>
                        </div>
                    </div>
                </div> <!-- Question padding -->
            </div>
            <hr>
            <div class="ays_faq_collapseIconDir_parent">
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for='ays-faq-openclose'><?php echo __('Open/Close Icon Alignment', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Accordion Open/Close Icon Alignment", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="for_themes">
                            <div class="ays_collapseIconDir">
                                <label class='ays_faq_label' for="ays_none">None</label>
                                <input id="ays_none" type="radio" name="ays_faq_iconDirection" value="none" <?php echo ($ays_iconDir == 'none') ? 'checked' : ''; ?>>
                            </div>
                            <div class="ays_collapseIconDir ays_divider_left">
                                <label class='ays_faq_label' for="ays_left">Left</label>
                                <input id="ays_left" type="radio" name="ays_faq_iconDirection" value="before" <?php echo ($ays_iconDir == 'before') ? 'checked' : ''; ?>>
                            </div>
                            <div class="ays_collapseIconDir ays_divider_left">
                                <label class='ays_faq_label' for="ays_right">Right</label>
                                <input id="ays_right" type="radio" name="ays_faq_iconDirection" value="after" <?php echo ($ays_iconDir == 'after') ? 'checked' : ''; ?>>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <hr style="<?php echo ($ays_iconDir == 'none') ? 'display:none' : ''; ?>">
            <div>
                <div class="ays_collapseIcon ays_modal_element form-group row" style="<?php echo ($ays_iconDir == 'none') ? 'display:none' : ''; ?>">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for='ays-faq-openclose'><?php echo __('Open/Close Icon', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Accordion Open/Close Icon", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="collapseIcon">                  
                            <input id="icons-1" type="radio" name="ays_faq_Icon" value="f078,f077" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f078,f077" ) ? "checked" : ($ays_faq_theme == "simple" ? "checked" : ""); ?> >
                            <label for="icons-1">
                                <i class="fas fa-chevron-down"></i>
                                <i class="fas fa-chevron-up"></i>                      
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                        <div class="collapseIcon">                  
                            <input id="icons-2" type="radio" name="ays_faq_Icon" value="f055,f056" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f055,f056" ) ? "checked" : ($ays_faq_theme == "plusminus" ? "checked" : "");  ?> >
                            <label for="icons-2">
                                <i class="fas fa-plus-circle"></i>
                                <i class="fas fa-minus-circle"></i>                     
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>      
                        <div class="collapseIcon">                  
                            <input id="icons-3" type="radio" name="ays_faq_Icon" value="f0ab,f0aa" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f0ab,f0aa" ) ? "checked" : ""; ?> >
                            <label for="icons-3">
                                <i class="fas fa-arrow-circle-down"></i>
                                <i class="fas fa-arrow-circle-up"></i>                       
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                        <div class="collapseIcon">                  
                            <input id="icons-4" type="radio" name="ays_faq_Icon" value="f107,f106" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f107,f106" ) ? "checked" : ""; ?> >
                            <label for="icons-4">
                                <i class="fas fa-angle-down"></i>
                                <i class="fas fa-angle-up"></i>                       
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                        <div class="collapseIcon">                  
                            <input id="icons-5" type="radio" name="ays_faq_Icon" value="f0dd,f0de" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f0dd,f0de" ) ? "checked" : ""; ?> >
                            <label for="icons-5">
                                <i class="fas fa-sort-down"></i>
                                <i class="fas fa-sort-up"></i>                     
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>

                        <div class="collapseIcon">                  
                            <input id="icons-6" type="radio" name="ays_faq_Icon" value="f13a,f139" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f13a,f139" ) ? "checked" : ($ays_faq_theme == "default_arrow" ? "checked" : ""); ?> >
                            <label for="icons-6">
                                <i class="fas fa-chevron-circle-down"></i>
                                <i class="fas fa-chevron-circle-up"></i>                     
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                        <div class="collapseIcon">                  
                            <input id="icons-7" type="radio" name="ays_faq_Icon" value="f063,f062" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f063,f062" ) ? "checked" : ""; ?> >
                            <label for="icons-7">
                                <i class="fas fa-arrow-down"></i>                 
                                <i class="fas fa-arrow-up"></i>               
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                        <div class="collapseIcon">                  
                            <input id="icons-8" type="radio" name="ays_faq_Icon" value="f103,f102" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f103,f102" ) ? "checked" : ""; ?> >
                            <label for="icons-8">
                                <i class="fas fa-angle-double-down"></i>
                                <i class="fas fa-angle-double-up"></i>                     
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <!-- hover/active text color start -->
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ays_faq_hover_active_text_color"><?php echo __('Hover/active text color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Choose the text color of the question when you mouse over them.", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="ays-faq-hover-active-text-color">
                            <input type="text" id="ays_faq_hover_active_text_color" name="ays_faq_hover_active_text_color" data-alpha="true" value="<?php echo $ays_faq_hover_active_text_color;?>">
                        </div>
                    </div>
                </div>
            </div>
            <!-- hover/active text color end -->
            <hr>
            <!-- hover/active bg color start -->
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ays_faq_hover_active_bg_color"><?php echo __('Hover/active background color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Choose the background color of the question when you mouse over them.", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="ays-faq-hover-active-bg-color">
                            <input type="text" id="ays_faq_hover_active_bg_color" name="ays_faq_hover_active_bg_color" data-alpha="true" value="<?php echo $ays_faq_hover_active_bg_color;?>">
                        </div>
                    </div>
                </div>
            </div>
            <!-- hover/active bg color end -->
            <hr>
            <!-- question alignment start -->
            <!-- <div class="ays_modal_element form-group row">
                <div class="col-sm-4">
                    <label class='ays_faq_label' for='ays-faq-quest_alignment'><?php //echo __('Question text alignment', $this->plugin_name); ?>
                        <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php //echo __("Align the text of your questions to the left, center, or right.", $this->plugin_name ); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-8 ays_divider_left">
                    <div class="for_themes">
                        <div class="ays_faq_quest_alignment ays_collapseIconDir">
                            <label class='ays_faq_label' for="ays_faq_quest_left">Left</label>
                            <input id="ays_faq_quest_left" type="radio" name="ays_faq_quest_alignment" value="left" <?php //echo $ays_faq_quest_alignment == 'left'? 'checked' : '';?>>
                        </div>
                        <div class="ays_faq_quest_alignment ays_collapseIconDir ays_divider_left" style="margin: 0 10px;"> 
                            <label class='ays_faq_label' for="ays_faq_quest_center" style="margin-left:10px">Center</label>
                            <input id="ays_faq_quest_center" type="radio" name="ays_faq_quest_alignment" value="center" <?php //echo $ays_faq_quest_alignment == 'center'? 'checked' : '';?>>
                        </div>
                        <div class="ays_faq_quest_alignment ays_collapseIconDir ays_divider_left">
                            <label class='ays_faq_label' for="ays_faq_quest_right" style="margin-left:10px">Right</label>
                            <input id="ays_faq_quest_right" type="radio" name="ays_faq_quest_alignment" value="right" <?php //echo $ays_faq_quest_alignment == 'right'? 'checked' : '';?>>
                        </div>
                    </div>
                </div>
            </div> -->
            <!-- question alignment end -->
            <!-- <hr> -->
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="customClass"><?php echo __('Custom Class', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q custom class", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="customClass">
                            <input  type="text" class="ays-text-input form-control" name="ays_custom_class" id="ays_custom_class" placeholder="myClass myAnotherClass..." value="<?php echo $customClass; ?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-4">
                    <label class='ays_faq_label' for="slider_custom_css"><?php echo __("Custom CSS", $this->plugin_name);?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __("You can mark your desirable specific styles", $this->plugin_name);?>">
                        <i class="fas fa-info-circle"></i>
                    </a>
                    </label>
                </div>
                
                <div class="col-sm-8 ays_divider_left">
                <textarea id="ays_custom_css" name="customCss" class="form-control" rows="10"><?php echo $custom_css ?></textarea>
                </div>
            </div> <!-- Custom CSS -->
        </div>
        <div id="tab3" class="ays-faq-tab-content <?php echo ($ays_faq_tab == 'tab3') ? 'ays-faq-tab-content-active' : ''; ?>">
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-3">
                        <label class='ays_faq_label'><?php echo __('Collapse option', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Select the answer collapse style", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-9 ays_divider_left">
                        <div class="for_themes">
                            <div class="ays_collapseIconDir ays_collapse_other_answers">
                                <label class='ays_faq_label' for="ays_colapse_none">None</label>
                                <input id="ays_colapse_none" type="radio" name="collapseStyle" value="none" <?php echo ($collapseStyle == 'none') ? 'checked' : ''; ?>>
                            </div>
                            <div class="ays_collapseIconDir ays_collapse_other_answers ays_divider_left">
                                <label class='ays_faq_label' for="ays_closeAnswer">Collapse other answers</label>
                                <input id="ays_closeAnswer" type="radio" name="collapseStyle" value="accordion" <?php echo ($collapseStyle == 'accordion') ? 'checked' : ''; ?>>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-3">
                        <label class='ays_faq_label' for="ays_send_question_to_admin"><?php echo __('Receive questions from users', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("If you enable the option, the users will be able to type in their own questions in the field under your frequently-asked questions list. After filling in their queries, they will click on the Send button, and the questions will be sent to the admin (to you). You can then add the questions you find necessary to be on the FAQ list on the General tab.", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-1">
                        <input type="checkbox" id="ays_send_question_to_admin" name="sendQuestionToAdmin" <?php echo (isset($options['sendQuestionToAdmin']) && $options['sendQuestionToAdmin']=="on") ? 'checked' : '' ?> >
                    </div>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label class='ays_faq_label'>
                        <?php echo __("Show head information", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("Enable to show the title and(or) the description inside the F.A.Q.", $this->plugin_name); ?>">
                        <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <label class='ays_faq_label'><?php echo __("Show title", $this->plugin_name);?>
                        <input type="checkbox" class="" name="ays_faq_show_title" value="on" <?php echo $ays_faq_show_title ? 'checked' : ''; ?>>
                    </label>
                    <label class='ays_faq_label'><?php echo __("Show description", $this->plugin_name);?>
                        <input type="checkbox" class="" name="ays_faq_show_description" value="on" <?php echo $ays_faq_show_desc ? 'checked' : ''; ?>>
                    </label>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row only_pro">
                    <div class="pro_features" style="justify-content:flex-end;padding-right:20px;">
                        <div>
                            <p style="font-size:20px;margin:0;">
                                <?php echo __("This feature is available only in ", $this->plugin_name); ?>
                                <a href="https://ays-pro.com/wordpress/faq-builder" target="_blank" title="PRO feature"><?php echo __("PRO version!!!", $this->plugin_name); ?></a>
                            </p>
                        </div>
                    </div>
                    <div class="col-sm-3">
                        <label class='ays_faq_label' for="ays_scroll_to_top"><?php echo __('Scroll to top', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-1">
                        <input type="checkbox" id="ays_scroll_to_top" name="ays_faq_scrollToTop"  >
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-3">
                        <label class='ays_faq_label'><?php echo __('Display answers', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-html="true"
                                title="<?php
                                    echo __('Choose how you want to display your answers.',$this->plugin_name) .
                                    "<ul style='list-style-type: circle;padding-left: 20px;'>".
                                        "<li>". __('Collapsible - Display the answers with the questions.',$this->plugin_name) ."</li>".
                                        "<li>". __('Hidden - Display only the questions. ',$this->plugin_name) ."</li>".
                                        "<li>". __('Collapse only the first - Display the answer only of the first question.',$this->plugin_name) ."</li>".
                                    "</ul>";
                                ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-9 ays_divider_left">
                        <div class="for_themes">
                            <div class="ays_collapseIconDir">
                                <label class='ays_faq_label' for="ays_faq_display_yes">Collapsible</label>
                                <input id="ays_faq_display_yes" type="radio" name="ays_faq_display_all" value="yes" <?php echo ($ays_faq_display_all == 'yes') ? 'checked' : ''; ?>>
                            </div>
                            <div class="ays_collapseIconDir ays_divider_left">
                                <label class='ays_faq_label' for="ays_faq_display_no">Hidden</label>
                                <input id="ays_faq_display_no" type="radio" name="ays_faq_display_all" value="no" <?php echo ($ays_faq_display_all == 'no') ? 'checked' : ''; ?>>
                            </div>
                            <div class="ays_collapseIconDir ays_divider_left">
                                <label class='ays_faq_label' for="ays_faq_display_only_first">Collapse only the first</label>
                                <input id="ays_faq_display_only_first" type="radio" name="ays_faq_display_all" value="only_first" <?php echo ($ays_faq_display_all == 'only_first') ? 'checked' : ''; ?>>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="form-group row">
                    <div class="col-sm-3">
                        <label>
                            <?php echo __('Questions numbering',$this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" title="<?php echo __('Assign numbering to each question in ascending sequential order. Choose your preferred type from the list.',$this->plugin_name); ?>">
                            <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-9 ays_divider_left">
                        <select class="ays-text-input" name="ays_faq_show_question_numbering">
                            <option <?php echo $ays_faq_show_question_numbering == "none" ? "selected" : ""; ?> value="none"><?php echo __( "None", $this->plugin_name); ?></option>
                            <option <?php echo $ays_faq_show_question_numbering == "1." ? "selected" : ""; ?> value="1."><?php echo __( "1.", $this->plugin_name); ?></option>
                            <option <?php echo $ays_faq_show_question_numbering == "1)" ? "selected" : ""; ?> value="1)"><?php echo __( "1)", $this->plugin_name); ?></option>
                            <option <?php echo $ays_faq_show_question_numbering == "A." ? "selected" : ""; ?> value="A."><?php echo __( "A.", $this->plugin_name); ?></option>
                            <option <?php echo $ays_faq_show_question_numbering == "A)" ? "selected" : ""; ?> value="A)"><?php echo __( "A)", $this->plugin_name); ?></option>
                            <option <?php echo $ays_faq_show_question_numbering == "a." ? "selected" : ""; ?> value="a."><?php echo __( "a.", $this->plugin_name); ?></option>
                            <option <?php echo $ays_faq_show_question_numbering == "a)" ? "selected" : ""; ?> value="a)"><?php echo __( "a)", $this->plugin_name); ?></option>
                        </select>
                    </div>
                </div> <!-- Show question numbering -->
            </div>
        </div>
        <hr>
        <!-- <div class="form-group row ays-faq-general-bundle-container">
            <div class="col-sm-12 ays-faq-general-bundle-box">
                 <div class="ays-faq-general-bundle-row ays-faq-general-bundle-image-row">
                    <a href="https://https://ays-pro.com/wordpress/faq-builder" target="_blank"><img src="<#?php //echo AYS_faq_ADMIN_URL; ?>/images/black_friday_banner_logo.png"></a>
                </div>
                <div class="ays-faq-general-bundle-row">
                    <div class="ays-faq-general-bundle-text">
                        <#?php echo __( "Don't miss your", $this->plugin_name ); ?>
                        <span><#?php echo __( "20% Christmas sale", $this->plugin_name ); ?></span>
                        <#?php echo __( "for Ays Pro products!", $this->plugin_name ); ?>
                        <#?php //echo __( "Do not miss Black Friday discount on", $this->plugin_name ); ?>
                        <span class="ays-faq-general-bundle-color">
                            <a href="https://https://ays-pro.com/wordpress/faq-builder" class="ays-faq-general-bundle-link-color" target="_blank"><#?php //echo __( "Popup Box", $this->plugin_name ); ?></a>
                        </span> <#?php //echo __( "plugin!", $this->plugin_name ); ?> 
                    </div>
                    <p><#?php echo __("It's the GIFT season so take one from us.", $this->plugin_name ); ?></p>
                    <div class="ays-faq-general-bundle-sale-text ays-faq-general-bundle-color">
                        <div><a href="https://ays-pro.com/wordpress/faq-builder" class="ays-faq-general-bundle-link-color" target="_blank"><#?php echo __( "Discount 30% OFF", $this->plugin_name ); ?></a></div>
                    </div>
                </div>
                <div class="ays-faq-general-bundle-row">
                    <a href="https://ays-pro.com/wordpress/faq-builder" class="ays-faq-general-bundle-button" target="_blank">Get Now!</a>
                </div>
            </div>
        </div> -->
        <!-- <div class="form-group row ays-faq-bundle-container">
            <div class="col-sm-12 ays-faq-bundle-box">
                <div class="ays-faq-bundle-row ays-faq-bundle-image-row">
                    <a href="https://ays-pro.com/wordpress/faq-builder" target="_blank"><img src="<?php //echo AYS_FAQ_ADMIN_URL; ?>images/black_friday_banner_logo.png"></a>
                </div>
                <div class="ays-faq-bundle-row">
                    <div class="ays-faq-bundle-text"><?php //echo __( "Do not miss Black Friday discount on", $this->plugin_name ); ?> <span class="ays-faq-bundle-color"><a href="https://ays-pro.com/wordpress/faq-builder" class="ays-faq-bundle-link-color" target="_blank"><?php //echo __( "WordPress FAQ Builder", $this->plugin_name ); ?></a></span> <?php //echo __( "plugin!", $this->plugin_name ); ?></div>
                    <p><?php //echo __( "Spice up your website with the best FAQ plugin on WordPress.", $this->plugin_name ); ?></p>
                    <div class="ays-faq-bundle-sale-text ays-faq-bundle-color">
                        <div><a href="https://ays-pro.com/wordpress/faq-builder" class="ays-faq-bundle-link-color" target="_blank"><?php //echo __( "Discount 30% OFF", $this->plugin_name ); ?></a></div>
                    </div>
                </div>
                <div class="ays-faq-bundle-row">
                    <a href="https://ays-pro.com/wordpress/faq-builder" class="ays-faq-bundle-button" target="_blank">Get Now!</a>
                </div>
            </div>
        </div> -->
        <?php
            wp_nonce_field('faq_action', 'faq_action');
        ?>
        <div class="ays_submit_button" style="margin:10px 0;">
        	<input type="submit" name="ays-submit" class="ays-submit button-primary" value="<?php echo __("Save and Close", $this->plugin_name);?>" />
        	<input type="submit" name="ays-apply" id="ays_submit_apply" class="ays-submit button" value="<?php echo __("Save", $this->plugin_name);?>" />
            <?php 
                $next_faq_id = "";
                if ( isset( $id ) && !is_null( $id ) ) {
                $next_faq = $this->get_next_or_prev_row_by_id( $id, "next", "ays_faqs" );
                $next_faq_id = (isset( $next_faq['id'] ) && $next_faq['id'] != "") ? absint( $next_faq['id'] ) : null;
                }

                if ( $next_faq_id != "" && !is_null( $next_faq_id ) ) {
                    
                    $other_attributes = array(
                    'id'            => 'ays-faq-next-button',
                    'data-message'  => __( 'Are you sure you want to go to the next FAQ page?', $this->plugin_name),
                    'href'          => sprintf( '?page=%s&action=%s&faq=%d', esc_attr( $_REQUEST['page'] ), 'edit', absint( $next_faq_id ) )
                    );
                    submit_button(__('Next FAQ', $this->plugin_name), 'button-primary  ays-next-faq-button', 'ays_faq_next_button', false, $other_attributes);
                }
            ?>
            <?php echo $loader_image; ?>
		</div>
    </form>
    <div id="ays-faq-answer-modal" class="ays-modal">
        <!-- Modal content -->
        <div class="ays-modal-content">
            <div class="ays-modal-header">
                <span class="ays-close">&times;</span>
                <h2><?php echo __('Enter the answer', $this->plugin_name); ?></h2>
            </div>
            <div class="ays-modal-body">
                <?php
                    $content = '';
                    $editor_id = 'ays_faq_answer_editor';
                    $settings = array('editor_height'=> $faq_wp_editor_height);
                    wp_editor( $content, $editor_id, $settings );
                ?>
            </div>
            <div class="ays-modal-footer">
                <button type="button" class="button button-primary ays-faq-back-to-textarea" data-question-id="" data-question-name="" style="margin-right: 10px;"><?php echo __( 'Back to classic texarea', $this->plugin_name ); ?></button>
                <a type="button" class="ays_faq_save_answer button button-primary">Save Answer</a>
            </div>
        </div>
    </div>                   
</div>
