<?php
    /**
     * Enqueue front end and editor JavaScript
     */

    function ays_faq_gutenberg_scripts() {
        $blockPath = 'faq-builder-block.js';
        
        wp_enqueue_script( "jquery-effects-core");
        wp_enqueue_script( 'ays_block_select2js', '//cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js', array('jquery'), FAQ_VERSION, true);
        wp_enqueue_script( AYS_FAQ_NAME, AYS_FAQ_PUBLIC_URL . '/js/faq-builder-ays-public.js', array('jquery'), FAQ_VERSION, true);

        // Enqueue the bundled block JS file
        wp_enqueue_script(
            'faq-builder-block-js',
            AYS_FAQ_BASE_URL ."/faq/". $blockPath,
            array( 'jquery', 'wp-blocks', 'wp-i18n', 'wp-element', 'wp-components', 'wp-editor' ),
            FAQ_VERSION, true //( AYS_FAQ_BASE_URLL . 'faq-builder-block.js' )
        );
        wp_localize_script('ays-gutenberg-block-js', 'ays_faq_block_ajax', array('aysDoShortCode' => admin_url( 'admin-ajax.php' )));
        
        wp_enqueue_style('ays-block-font-awesome', '//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css', array(), FAQ_VERSION, 'all');
        wp_enqueue_style('ays-block-animate', AYS_FAQ_PUBLIC_URL . '/css/animate.css', array(), FAQ_VERSION, 'all');
        wp_enqueue_style('ays-block-select2', '//cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css', array(), FAQ_VERSION, 'all');
        wp_enqueue_style( AYS_FAQ_NAME, AYS_FAQ_PUBLIC_URL . '/css/faq-builder-ays-public.css', array(), FAQ_VERSION, 'all');
                
        // Enqueue the bundled block CSS file
        wp_enqueue_style(
            'faq-builder-block-css',
            AYS_FAQ_BASE_URL ."/faq/faq-builder-block.css",
            array(),
            FAQ_VERSION, 'all'
        );
    }

    function ays_faq_gutenberg_block_register() {
        
        global $wpdb;
        $block_name = 'faq';
        $block_namespace = 'faq-builder-ays/' . $block_name;
        
        $sql = "SELECT * FROM ". $wpdb->prefix . "ays_faqs";
        $results = $wpdb->get_results($sql, "ARRAY_A");
        
        register_block_type(
            $block_namespace, 
            array(
                'render_callback'   => 'faqbuilder_render_callback',                
                'editor_script'     => 'faq-builder-block-js',  // The block script slug
                'style'             => 'faq-builder-block-css',
                'attributes'        => array(
                    'idner' => $results,
                    'metaFieldValue' => array(
                        'type'  => 'integer', 
                    ),
                    'shortcode' => array(
                        'type'  => 'string',				
                    ),
                    'className' => array(
                        'type'  => 'string',				
                    ),
                    'openPopupId' => array(
                        'type'  => 'string',
                    ),
                ),
            )
        );
    }    
    
    function faqbuilder_render_callback( $attributes ) {
        $ays_html = "<p style='text-align:center;'>" . __('Please select faq') . "</p>";
        if(isset($attributes["shortcode"]) && $attributes["shortcode"] != '') {
            $ays_html = do_shortcode( $attributes["shortcode"] );
        }
        return $ays_html;
    }

if(function_exists("register_block_type")){
        // Hook scripts function into block editor hook
    add_action( 'enqueue_block_editor_assets', 'ays_faq_gutenberg_scripts' );
    add_action( 'init', 'ays_faq_gutenberg_block_register' );
}